EDIT - bug #8634

NullPointerException (NPE) in PreferencesUtil.getLocalAbcdimportConfigurator() on starting ABCD
import
10/29/2019 05:57 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.11

Severity: normal Found in Version:

Description

login : admin

editor version : 5.11.0.qualifier

server : 160.45.63.230 (edit-WS I) / caryophyllales_demo_01
schema version : 5.8.2.0.20190815
os : Linux 5.0.0-32-generic amd64
java : 1.8.0_131
org.eclipse.ed.core.di.InjectionException: java.lang.NullPointerException
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)
at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:288)
at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:264)
at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:13

at org.eclipse.e4d.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. j
ava:152)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:
488)

at org.eclipse.ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl.
java:210)

at org.eclipse.e4d.ui.workbench.renderers.swt.HandledContributionItem.executeltem (HandledContri
butionItem. java:433)

at org.eclipse.e4d.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (Ab
stractContributionItem. java:454)

at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractCo
ntributionItem. java:482)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:5227)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1340)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4561)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:4151)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngines$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4d4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1l
022)

at org.eclipse.e4d.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

at org.eclipse.equinox.launcher.Main.main (Main. java:1492)
Caused by: java.lang.NullPointerException

at eu.etaxonomy.taxeditor.preference.PreferencesUtil.getLocalAbcdImportConfigurator (Preference
sUtil. java:1544)

at eu.etaxonomy.taxeditor.io.ed.in.abcd.AbcdImportWizardE4.init (AbcdImportWizardE4. java:71)

at eu.etaxonomy.taxeditor.io.ed.in.AbstractOpenImportWizard.execute (AbstractOpenImportWizard. j
ava:27)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

38 more

Associated revisions

Revision 92546b65 - 10/30/2019 10:21 AM - Katja Luther
ref #8631: fix ClassCastException for abcd import and NPE in abcd preferences

Revision 4963861e - 11/05/2019 11:34 AM - Katja Luther

ref #8634: fix NPE and biocase provider for dna search

History

#1 - 11/04/2019 05:27 PM - Andreas Kohlbecker

- Tags set to import

#2 - 11/05/2019 09:56 AM - Katja Luther
- Status changed from New to Resolved
- Target version changed from Unassigned CDM tickets to Release 5.11

- % Done changed from 0 to 50

this is fixed

#3 - 11/05/2019 01:44 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Kohlbecker

#4 - 11/06/2019 09:09 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- Assignee changed from Andreas Kohlbecker to Katja Luther

- % Done changed from 50 to 100

could no longer reproduce the issue, closing the ticket.
